<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/index.css" />
    <title>The Decentralized Movie Theater</title>
  </head>
  <body>
    <h1>The Decentralized Movie Theater</h1>
    <div class="movie-container">
      <label>Pick a movie:</label>
      <select id="movie" title="movie"></select>
      <span id="no-movie-added">No Movie Yet</span>
    </div>

    <ul class="showcase">
      <li>
        <div class="seat"></div>
        <small>N/A</small>
      </li>
      <li>
        <div class="seat selected"></div>
        <small>Selected</small>
      </li>
      <li>
        <div class="seat occupied"></div>
        <small>Occupied</small>
      </li>
    </ul>

    <div class="scene">
      <div class="screen"></div>
      <div class="seats"></div>
    </div>
    <p class="text">
      You have selected <span id="count">0</span> seats for a price of
      <span id="total">0</span> MATIC
    </p>
    <button id="pay-seats-button">Pay</button>
    <form id="add-movie-form">
      <input type="text" id="movie-title" placeholder="Enter movie title" />
      <input
        type="number"
        id="movie-ticket-price"
        placeholder="Ticket price"
        step="0.1"
        min="0"
      />
      <button type="button" id="pay-movie-button">
        Add a movie <span id="add-movie-price"></span>
      </button>
    </form>
    <script src="/vendor/ethers.umd.min.js"></script>
    <script src="/vendor/truffle-contract.min.js"></script>
    <script src="/index.js"></script>
  </body>
</html>
